<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >




<tr>
<td  class="tmenua"><a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
<td valign="bottom"><img src="images/010.gif" width="67" height="11"/></td>
<td><img src="images/bullet.gif" width="17" height="11"/></td>
</tr>

            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >


<tr>
<td class="tmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td valign="bottom"><img src="images/010.gif" width="67" height="11"/></td>
<td><img src="images/bullet.gif" width="17" height="11"/></td>
</tr>



            </xsl:when>
            <xsl:otherwise>

<tr>
<td  class="tmenua"><a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
<td valign="bottom"><img src="images/010.gif" width="67" height="11"/></td>
<td><img src="images/bullet.gif" width="17" height="11"/></td>
</tr>


            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
<tr>
<td height="10" colspan="3"></td>
</tr>  		

</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
