<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>

<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg2.jpg');">
	<tr>
		<td>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background:url(images/bg.jpg) repeat-x top; " >
  <tr>
    <td width="100%" height="100%">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="20" rowspan="3"><img name="" src="" width="20" height="1" alt=""/></td>
        <td width="96%" height="59" align="center" valign="bottom">
		<!-- MENU -->
		<table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
			<xsl:call-template name="TOP-MENU"/>
		</tr>
        </table>
		<!-- END MENU -->
		</td>
      </tr>
      <tr>
        <td height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="152"></td>
            <td width="48" align="right"><img src="images/top_1.jpg" width="48" height="105" /></td>
            <td background="images/top_1_bg.jpg">
			<div style="width:504px; height:0px;"><span></span></div>     
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="left" height="105" style="background:url(images/headers.jpg) bottom right no-repeat;"><!-- LOGO -->
                    <table border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td rowspan="2" align="left" style="padding-right:12px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                        <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                      </tr>
                      <tr>
                        <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
                      </tr>
                    </table>
                  <!-- END LOGO -->                </td>
              </tr>
            </table></td>
            <td width="56" align="left"><img src="images/top_2.jpg" width="56" height="105" /></td>
          </tr>
          <tr>
            <td width="152" height="26" background="images/top_3_bg.jpg"><div style="width:152px; height:0px;"><span></span></div></td>
            <td height="26"><img src="images/top_3.jpg" width="48" height="26" /></td>
            <td align="right" valign="top" height="26" background="images/top_3_bg.jpg"><img src="images/headers_2.jpg" width="321" height="26" /></td>
            <td height="26"><img src="images/top_3_end.jpg" width="56" height="26" /></td>
          </tr>
          <tr>
            <td align="center" valign="top" bgcolor="#F4F1E8">
			<!-- SUBMENU -->
			<table width="130" border="0" cellpadding="1" cellspacing="0">
              <tr>
                <td height="10" colspan="2"><div style="height:10px; width:0px;"><span></span></div></td>
              </tr>
              <tr>
                <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              </tr>
              <tr>
                <td colspan="2"><div style="height:50px; width:0px;"><span></span></div></td>
                </tr>
            </table>
			<!-- END SUBMENU -->			</td>
            <td background="images/top_2_bg.jpg"></td>
            <td valign="top" bgcolor="#F4F1E8" width="100%" height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="53%"><p></p>                  </td>
                <td width="47%" align="right"><img src="images/headers_3.jpg" width="321" height="91" /></td>
              </tr>
              <tr>
                <td colspan="2" height="100%" valign="top">
				<!-- CONTENT -->
				<table width="100%" border="0" cellpadding="0" cellspacing="0"  height="100%">
                  <tr>
                    <td bgcolor="#F4F1E8" valign="top">
					<table border="0" cellspacing="0" cellpadding="0">
             		 <tr>
               		 <td><span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
               		 <td style="padding-left:15px;"><img src="images/text_head.gif" /></td>
              		</tr>
           			</table>
					<div style=" height:8px; width:0px;"></div>
					<table width="100%" height="100%">
					<tr>
					<td valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
					</tr>
					</table>					</td>
                  </tr>
                </table>
				<!-- END CONTENT -->                  </td>
              </tr>
              <tr>
                <td height="20" colspan="2"></td>
              </tr>
            </table></td>
            <td valign="top" background="images/top_right_bg.gif"><img src="images/top_right_bg.jpg" width="56" height="512"/></td>
          </tr>
          
          <tr>
            <td height="11" background="images/top_d_bg.jpg"></td>
            <td height="11"><img src="images/top_d_2.jpg" width="48" height="11" /></td>
            <td height="11" background="images/top_d_bg.jpg"></td>
            <td height="11"><img src="images/top_d_3.jpg" width="56" height="11" /></td>
          </tr>
          <tr>
            <td height="69"></td>
            <td height="69"><img src="images/top_right_1.jpg" width="48" height="69" /></td>
            <td height="69" valign="middle" background="images/top_right_2.jpg">
			<!-- BOTTOM MENU -->
			<table border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
              <td>
			  <table cellpadding="0" cellspacing="0" align="center">
              	<tr>
                <td width="30"><div style="width:30px; height:0px;"><span></span></div></td>
                <td><xsl:call-template name="BOTTOM-MENU"/></td>
                <td width="30"><div style="width:30px; height:0px;"><span></span></div></td>
              	</tr>
        	  </table>			  </td>
              </tr>
              <tr>
                <td height="8" colspan="4" align="center"></td>
                </tr>
            </table>
			<!-- END BOTTOM MENU -->			</td>
            <td height="69"><img src="images/top_right_3.jpg" width="56" height="69" /></td>
          </tr>
          <tr>
            <td height="55"></td>
            <td height="55"></td>
			<!-- FOOTER -->
            <td height="55" align="center" class="footer">
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>			</td>
			<!-- END FOOTER -->
            <td height="55"></td>
          </tr>
        </table></td>
        <td width="8"><img name="" src="" width="8" height="1" alt=""/></td>
      </tr>
      <tr>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <td colspan="3"></td>
      </tr>
    </table></td>
  </tr>
</table>
		</td>
	</tr>
</table>
</body>
</HTML>

</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			  
			<tr>
				<td style="padding-right: 7px;"><img src="images/submenu_bullet_active.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td  style="padding-right: 7px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt="" /></a></td>
					<td style=" width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20">
		<div style="height:1px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>			
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
				<td style="padding-right:10px;padding-left:10px;"><img src="images/bmenu_separator.gif" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>