﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/user_qd.gif">
  <tr>
    <td width="38"></td>
    <td width="65"></td>
    <td width="421"></td>
    <td colspan="3"></td>
  </tr>
  <tr>
    <td colspan="3" height="164" align="left" valign="bottom" style="background-image: url(images/herder-di.gif);
	background-repeat: repeat-x;
	background-position: bottom;"><img src="images/header.gif" width="486" height="164"/></td>
    <td height="216" colspan="2" rowspan="2" valign="bottom" style="background-image: url(images/logo_bg.gif);background-repeat: repeat-x;background-position: right bottom;">
	   <table width="260" height="207" border="0" cellpadding="0" cellspacing="0" background="images/logobg2.gif">
         <tr>
           <td height="2" colspan="4"></td>
         </tr>
         <tr><td width="17"></td><td width="32" height="70"></td><td width="190" height="70"></td><td width="21"></td>
         </tr>
         <tr>
           <td rowspan="2"></td>
           <td width="32" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
           <td width="190" rowspan="2" style="padding-left:7px;padding-right:7px;">
		   <table width="100%"  border="0" cellspacing="0" cellpadding="0">
             <tr>
               <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
             </tr>
             <tr>
               <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
             </tr>
           </table>
          </td>
           <td></td>
         </tr>
         <tr>
           <td></td>
         </tr>
      </table>
    </td>
     <td height="216" rowspan="2" bgcolor="#C9CBCC"></td>
  </tr>
  <tr>
    <td height="49"></td>
    <td colspan="2" align="left" valign="top"  background="images/buttons-di.gif" style="padding-left:20px;padding-right:20px;">
  <table border="0" cellspacing="0" cellpadding="0">
  <tr>
  <xsl:call-template name="TOP-MENU"/>
  </tr>
  </table>	
  </td>
  </tr>
  <tr>
    <td colspan="2" rowspan="2" width="100" valign="top" style="background-image: url(images/line.gif);background-repeat: repeat-y;background-position: right top;"><img src="images/spacer.gif" width="100" height="10" /></td>
    <td valign="bottom" bgcolor="#EBEBEB" width="100%" height="100%">
	    <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/submenu_b.gif">
           <tr>
              <td height="41" style="padding-left:30px;">
			     <table height="45" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                       <td height="35" valign="bottom" class="logoword"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                       <td valign="bottom"><img src="images/submenu_round.gif" width="19" height="20"/></td>
                    </tr>
                 </table>
			  </td>
           </tr>
           <tr background="images/submenu_b.gif">
              <td height="100%"  valign="top" style="padding:30px;">
			      <table height="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="pageContent" name="SB_stretch" height="100%" valign="top">
	                    <xsl:apply-templates select="PAGE-CONTENT"/>
                      </td>
                    </tr>
                </table>
			  </td>
		   </tr>
      </table>
    </td>
     <td colspan="2" align="left" valign="top" background="images/buttons-hx.gif" bgcolor="#C9CBCC" style="background-image: url(images/rgint.gif);background-repeat: repeat-y;background-position: left top;">
	    <table width="100%" border="0" cellspacing="0" cellpadding="0">
           <tr>
             <td align="left" valign="top"><img src="images/logobg3.gif" width="241" height="43"/></td>
           </tr>
           <tr>
             <td height="25" valign="top"></td>
           </tr>
           <tr>
             <td align="left" valign="top">
			    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                   <tr>
                     <td width="25"></td>
                     <td align="left" valign="top">
  <table width="160" border="0" cellspacing="0" cellpadding="0">
   <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
  </table>
</td>
                  </tr>
                </table>
		    </td>
          </tr>
    </table>    </td>
     <td rowspan="2" valign="top" bgcolor="#C9CBCC"></td>
  </tr>
  <tr>
     <td height="9" valign="top" background="images/down-di.gif"></td>
     <td colspan="2" valign="top" style="background-image: url(images/down-2.gif);background-repeat: repeat-y;background-position: left top;" bgcolor="#C9CBCC"></td>
  </tr>
  <tr bgcolor="#B8B5B5" >
     <td height="1" colspan="6"></td>
  </tr>
  <tr>
    <td height="100%" colspan="2" rowspan="3" style="background-image: url(images/line.gif);background-repeat: repeat-y;background-position: right top;"></td>
    <td align="left" style="padding-left:25px;">
	  <table border="0" cellpadding="0" cellspacing="0">
         <tr height="48" >
           <xsl:call-template name="BOTTOM-MENU"/>
         </tr>
      </table>
	</td>
    <td colspan="3" rowspan="3"></td>
  </tr>
  <tr>
    <td height="85" align="left" valign="top" style="padding-left:30px;">
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
           <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
        </tr>
      </table>
	  </td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    <tr>
      <td width="150" style="padding-left:20px;" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      <td width="10" valign="bottom"><img src="images/buttons.gif" width="17" height="23" /></td>
    </tr>
    <tr>
      <td colspan="2" background="images/buttons-hx.gif"><img src="images/buttons-hx.gif" width="14" height="1" /></td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    <tr>
      <td width="150" style="padding-left:20px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      <td width="10" valign="bottom"><img src="images/buttons.gif" width="17" height="23" /></td>
    </tr>
    <tr>
      <td colspan="2" background="images/buttons-hx.gif"><img src="images/buttons-hx.gif" width="14" height="1" /></td>
      </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
    <tr>
      <td colspan="2" height="3"></td>
      </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td  class="iconfoot"><img src="images/submenu_hr.gif" width="2" height="7"/></td>
        <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td align="center" class="iconfoot"><img src="images/submenu_hr.gif" width="2" height="7"/></td>
        <td class="bmenu"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
        <td  class="iconfoot"><img src="images/submenu_hr.gif" width="2" height="7"/></td>
        <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
