<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="top" background="images/header1.gif" style="background-position:top ;background-repeat:repeat-x;">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" >
	<tr>
	<td valign="top" background="images/header3.gif" style="background-position:top right;background-repeat:no-repeat;">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/header.gif" style="background-position:top right;background-repeat:no-repeat;">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" background="images/header2.gif" style="background-position:top left;background-repeat:no-repeat;">
			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td height="247" valign="bottom" ><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td height="212" valign="top" style="padding-left:45px;padding-top:20px;">
						 <!-- LOGO -->
						<table width="300" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td width="100" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                            <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                          </tr>
                          <tr>
                            <td class="slogan" valgin="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                          </tr>
                        </table> <!-- END LOGO --></td>
                      </tr>
                      <tr>
                        <td style="padding-left:215px;"><!-- CONTENT --><table  border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td><img src="images/007.gif" width="17" height="17"/></td>
                          </tr>
                        </table></td>
                      </tr>
                    </table></td>
                  </tr>
                  <tr>
                    <td height="100%" valign="top" ><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="215" valign="top" background="images/004_2.gif"><table width="215" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td width="215" valign="top" background="images/004.gif"><table width="215" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td style="padding-left:30px;padding-bottom:10px;">
								<!-- MENU -->
								<table width="140" border="0" align="center" cellpadding="0" cellspacing="0">
                                 <xsl:call-template name="TOP-MENU"/>
                                </table><!-- END MENU --></td>
                              </tr>
                            </table></td>
                          </tr>
                          <tr>
                            <td valign="top" height="100%"><img src="images/004_1.gif" width="215" height="44"/></td>
                          </tr>
                          <tr>
                            <td valign="top" background="images/004_2.gif" style="padding-left:30px;padding-right:20px;padding-bottom:10px;">
							<!-- SUBMENU -->
							<table width="140" border="0" align="center" cellpadding="0" cellspacing="0">
                              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                              
                            </table><!-- END SUBMENU --></td>
                          </tr>
                        </table></td>
                        <td valign="top" background="images/005.gif" bgcolor="#D1D0CC" style="background-position:top right;background-repeat:repeat-Y;padding-right:45px;" height="100%"><table width="100%"   border="0" cellpadding="0" cellspacing="0" class="pageContent">
                          <tr>
                            <td><br/>
                             <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td></tr>
                        </table><!-- END CONTENT --></td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td valign="top" ><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="215" valign="top"><img src="images/006.gif" width="215" height="45"/></td>
                    <td background="images/006_1.gif" height="45" width="100%"></td>
                    <td width="64"><img src="images/006_2.gif" width="66" height="45"/></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td valign="top" background="images/008.gif" style="background-position:bottom;background-repeat:repeat-x;padding-top:10px;padding-bottom:50px;" height="100%">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    
                    <td><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><!-- BOTTOM MENU --><table  border="0" align="center" cellpadding="0" cellspacing="0">
                            <tr>
                             <xsl:call-template name="BOTTOM-MENU"/>
                              <td width="20"></td>
                            </tr>
                        </table><!-- END BOTTOM MENU --></td>
                      </tr>
                      <tr>
                        <td style="padding-top:30px;">
						<!-- FOOTER -->
						<table  border="0" cellspacing="0" cellpadding="0" align="center">
                            <tr>
                              <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>

</td>
                            </tr>
                        </table><!-- END FOOTER --></td>
                      </tr>
                    </table></td>
                  </tr>
				  <tr><td colspan="2" align="center"><img src="images/line.gif" width="780" height="1"/></td></tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table>
	</td>
	</tr>
	</table>
	</td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >



<tr>
<td><img src="images/011.gif" width="10" height="6"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>


		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">



<tr>
<td><img src="images/011.gif" width="10" height="6"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>


		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><div align="right"><img src="images/011_1.gif" width="130" height="15"/></div></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><img src="images/009.gif"/></td>
<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		   
<td><img src="images/009.gif"/></td>
<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>


           </xsl:when>
           <xsl:otherwise>
<td><img src="images/009.gif"/></td>
<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
