<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0"  style="background-image: url('images/body_bg2.gif');background-repeat: repeat;"
>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/body_bg2.gif');background-repeat: repeat;">
  <tr>
    <td>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/body_bg.gif');background-repeat: repeat-x;">
  <tr>
    <td width="62" height="42"><div style="height:42px;width:62px;"></div></td>
    <td width="633" height="42"><div style="height:5px;width:630px;"></div>
</td>
    <td width="85" height="42"><div style="height:42px;width:85px;"></div></td>
  </tr>
  <tr>
    <td width="62"><div style="height:20px;width:62px;"></div></td>
    <td height="100%" valign="top" style="background-image: url('images/main_bg2.gif');background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;background-image: url('images/main_bg.gif');background-position: top;background-repeat: repeat-x;">
      <tr>
        <td colspan="3" valign="top"  style="background-image: url('images/main_leftbg2.gif');background-position: left top;background-repeat: repeat-y;"><table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%; background-image: url('images/main_rightbg2.gif');background-position: right top;background-repeat: repeat-y;">
  <tr>
    <td style="background-image: url('images/main_leftbg.gif');background-position: left top;background-repeat: no-repeat;"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;background-image: url('images/main_righttbg.gif');background-position: right top;background-repeat: no-repeat;">
      <tr>
        <td style="background-image: url('images/header.jpg'); background-position: right top; background-repeat: no-repeat;"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
          <tr>
            <td height="182" valign="top" style="padding-left:60px;padding-top:75px;"
><!-- LOGO -->
              <table width="300" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="60" rowspan="2" align="center" valign="top" style="padding-right:15px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
                  <td height="30" align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                </tr>
                <tr>
                  <td height="30" align="left" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                </tr>
              </table>
              <!-- END LOGO --></td>
            </tr>
          <tr>
            <td valign="top"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td width="202" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  style="background-image: url('images/menu_middlebg.gif');background-position: left top;background-repeat: repeat-y;">
          <tr>
            <td  style="background-image: url('images/menu_topbg.gif');background-position: left top;background-repeat: no-repeat;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="85" align="left" valign="top" style="padding-right:22px;padding-left:32px;padding-top:32px;"><!-- MENU --><table width="148" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="TOP-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

  
</table>

                    <!-- END MENU --></td>
              </tr>
              <tr>
                <td><img src="images/menu_botbg.gif"/></td>
              </tr>
            </table></td>
          </tr>
        </table><table border="0" cellspacing="0" cellpadding="0" style="width: 100%;">
      <tr>
        <td align="left" valign="top" style="padding-right:20px;padding-left:65px;padding-top:15px;padding-bottom:20px;"
><!-- SUBMENU --><table width="115" border="0" cellspacing="0" cellpadding="0">
 <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

</table>

                      <!-- END SUBMENU --></td>
      </tr>
    </table>
</td>
        <td align="left" valign="top"><div style="height:125px;width:15px;"></div><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif"/></td>
                    </tr>
                  </table>
                <div style="height:20px;"></div>
                <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
<!-- END CONTENT --></td>
      </tr>
    </table>

</td>
      </tr>
    </table>
</td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td width="46" height="80" align="left" valign="bottom" style="background-image: url('images/main_leftbg2.gif');background-position: left top;background-repeat: repeat-y;"><img src="images/foot_leftbg.gif"/></td>
        <td height="80" align="center" valign="middle" style="background-image: url('images/foot_bg.gif');background-position: bottom;background-repeat: repeat-x;"><table width="100%" height="15" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="18"><div style="height:15px;width:18px;"></div></td>
    <td valign="top"><table width="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/menu_line.gif');background-position: top;background-repeat: repeat-x;">
  <tr>
    <td><div style="height:15px;width:18px;"></div></td>
  </tr>
</table>
</td>
    <td width="18"><div style="height:15px;width:18px;"></div></td>
  </tr>
</table>
<!-- BOTTOM MENU -->
          <table border="0" cellpadding="0" cellspacing="0">
              <tr>
               <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
              <!-- END BOOTTOM MENU -->
<div style="height:15px;width:15px;"></div>
</td>
        <td width="24" height="80" align="right" valign="bottom" style="background-image: url('images/main_rightbg2.gif');background-position: right top;background-repeat: repeat-y;"><img src="images/foot_rightbg.gif"/></td>
      </tr>
    </table>
</td>
      </tr>
    </table></td>
    <td width="85"><div style="height:52px;width:85px;"></div></td>
  </tr>
  <tr>
    <td width="62" height="52"><div style="height:52px;width:62px;"></div></td>
    <td height="52" align="center"><!-- FOOTER -->
        <div align="center" class="copyright" style="height:px;width:px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
      <!-- END FOOTER --></td>
    <td width="85" height="52"><div style="height:52px;width:85px;"></div></td>
  </tr>
</table>
</td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu with link-->	
      <tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="8" class="iconleft"><img src="images/submenu_bullet.gif"/></td>
        <td><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</span></td>
      </tr>
    </table></td>
  </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu without link-->
	  <tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="8" class="iconleft"><img src="images/submenu_bullet.gif"/></td>
        <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
    </table></td>
    </tr>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      <tr>
    <td height="12" align="left"><img src="images/submenu_line.gif"/></td>
  </tr>
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
